Apache JMeter

## org.apache.jmeter.assertions
Class SubstitutionElement

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.assertions.SubstitutionElement

All Implemented Interfaces:
  Serializable, Cloneable, TestElement

    public class SubstitutionElement

extends AbstractTestElement

See Also:
  Serialized Form

Field Summary
`static String` `REGEX`
`static String` `SUBSTITUTE`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`SubstitutionElement()`

Method Summary
`String` `getRegex()`
`String` `getSubstitute()`
`void` `setRegex(String regex)`
`void` `setSubstitute(String sub)`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGEX

    public static final String REGEX

See Also:
  Constant Field Values

### SUBSTITUTE

    public static final String SUBSTITUTE

See Also:
  Constant Field Values

Constructor Detail

### SubstitutionElement

    public SubstitutionElement()

Method Detail

### getRegex

    public String getRegex()

### setRegex

    public void setRegex(String regex)

### getSubstitute

    public String getSubstitute()

### setSubstitute

    public void setSubstitute(String sub)

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.